Mailinglist Archive: yast-devel (116 mails)

< Previous Next >
Re: [yast-devel] DnsServerAPI.pm
  • From: Duncan Mac-Vicar Prett <dmacvicar@xxxxxxx>
  • Date: Tue, 10 Jun 2008 13:17:24 +0200
  • Message-id: <484E62C4.7020705@xxxxxxx>
Jiri Srain wrote:
Hi!

Dne Tuesday 10 of June 2008 09:44:17 Michal Zugec napsal(a):
Hi!
Because of dependencies I moved $SUBJ from yast2-dns-server into yast2
package.
This was because of bnc#392606 (yast-http-server dependency), but if any
other packages are affected, please fix them. All changes are in svn trunk,
packages are not in autobuild yet.

Is this really the best way to go? This way we polute the yast2.rpm package with code which does not work without another package (yast2-dns-server) at all. With this code in, yast2.rpm should IMHO recommend the yast2-dns-server package, which does not conform with it being understoon as "base libraries".

I personally find the dependency of yast2-apache on yast2-dns-server acceptable, as the price for integration of YaST modules.

yast2-apache does not use the yast2-dns-server client, it uses the APIs. See my other mail. Our current way of packaging is insane. When someone try to generate an appliance for a simple server out of it, you will pull lot of unrelated packages.

We need to define a way to package the "platform", reusable stuff.

Duncan
--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >